org.apache.cassandra.db.monitoring

## Enum MonitoringState

- java.lang.Object
- - java.lang.Enum<MonitoringState>
  - - org.apache.cassandra.db.monitoring.MonitoringState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MonitoringState>

    public enum MonitoringState
    extends java.lang.Enum<MonitoringState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORTED`
`COMPLETED`
`IN_PROGRESS`

### Method Summary

All Methods Static Methods Concrete Methods
`static MonitoringState` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MonitoringState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IN_PROGRESS

    public static final MonitoringState IN_PROGRESS

#### ABORTED

    public static final MonitoringState ABORTED

#### COMPLETED

    public static final MonitoringState COMPLETED

### Method Detail

#### values

    public static MonitoringState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MonitoringState c : MonitoringState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MonitoringState valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null